<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>
        To do list
    </title>
    </head>
    <body>
    </body>
    <main>
        <div>
            <h1>My Lists</h1>
            <p><a href="{% url 'todo_list_create' %}">Create a new list</a></p>
            <p><a href="{% url 'todo_item_create' %}">Create a new item</a></p>
            <table>
                <thead>
                    <tr>
                        <th>Names</th>
                        <th>Number of Items</th>
                    </tr>
                </thead>
                <tbody>
                    {% for listing in lists %}
                    <tr>
                        <td><a href="{% url 'todo_list_detail' listing.id %}">{{ listing.name }}</a></td> 
                        <td>{{ listing.items.count }}</td>
                    </tr>
                    {% endfor %}  
                </tbody>
            </table>
        </div>
    </main>
</html>